@font-face {
    font-family: 'JetBrainsMono';
    src: url('fonts/JetBrainsMono-Regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'JetBrainsMono';
    src: url('fonts/JetBrainsMono-Bold.woff2') format('woff2');
    font-weight: bold;
    font-style: normal;
}



/* === Themes === */
.theme-default {
    --navbar-bg:   #272723;
    --navbar-text: #d6d6d6;
    --page-bg:     #131513;
    --page-text:   #d6d6d6;
    --accent:      #e8743b;
    /*
    --font: 'JetBrainsMono', monospace;
    */
}

/* === Components === */
.m3-navbar, .m3-hover-navbar:hover {
    color:            var(--navbar-text) !important;
    background-color: var(--navbar-bg)   !important;
}
.m3-text-navbar, .m3-hover-text-navbar:hover {
    color: var(--navbar-bg) !important;
}
.m3-border-navbar, .m3-hover-border-navbar:hover {
    border-color: var(--navbar-bg) !important;
}


/* Could be overidden with:
 nav {
    background-color: var(--navbar-bg);
    color:            var(--navbar-text);
 }

 nav a:hover {
    background-color: var(--accent);
    color:            var(--navbar-text);
 }
    font-family: var(--font);

 */

/* === Page === */
body {
    background-color: var(--page-bg);
    color:            var(--page-text);

}
